#!/usr/bin/env python
# Copyright (c) 2009 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or 
# redistribute it subject to the terms and conditions of the GNU General 
# Public License v.2.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Authors: Greg Nichols 
#          YangKun <ykun@redhat.com>
#
import sys

from rhcert.suites.hwcert.hwcert.fvtest import FvTest
from rhcert.tags import Constants, TestTag


class FvNetworkTest(FvTest):

    def __init__(self):
        FvTest.__init__(self, "fv_network")
        self.tagToRun = TestTag.network
        self.enableTargetDevice = True
        self.req_passthrough = True

    def run(self):
        if self.getTestServer() is None or self.getTestServer() == "unknown":
            print("Error: No test server was set, test abort")
            return False

        # otherwise
        print("Using test server %s" % self.getTestServer())
        return FvTest.run(self)


if __name__ == "__main__":
    test = FvNetworkTest()
    returnValue = test.do(sys.argv)
    sys.exit(returnValue)
