#!/usr/bin/env python
# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material
# is made available to anyone wishing to use, modify, copy, or
# redistribute it subject to the terms and conditions of the GNU General
# Public License v.2.
#
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Authors: Greg Nichols
#          Ben Rose
#

from rhcert.suites.hwcert.hwcert.ethernet import EthernetTest

class Ethernet100MegTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "100MegEthernet")
        self.interfaceSpeed = 100 # speed in Mb/sec
        self.enforceSpeed = True

class Ethernet1GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "1GigEthernet")
        self.interfaceSpeed = 1000 # speed in Mb/sec
        self.messageSize = "1m" # 1 MB
        self.enforceSpeed = True

class Ethernet2_5GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "2_5GigEthernet")
        self.interfaceSpeed = 2500 # speed in Mb/sec
        self.messageSize = "1m" # 1 MB
        self.enforceSpeed = True

class Ethernet5GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "5GigEthernet")
        self.interfaceSpeed = 5000 # speed in Mb/sec
        self.messageSize = "1m" # 1 MB
        self.enforceSpeed = True

class Ethernet10GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "10GigEthernet")
        self.interfaceSpeed = 10000 # speed in Mb/sec
        self.messageSize = "1m" # 1 MB
        self.enforceSpeed = True

class Ethernet20GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "20GigEthernet")
        self.interfaceSpeed = 20000 # speed in Mb/sec
        self.messageSize = "1m" # 1 MB
        self.enforceSpeed = True

class Ethernet25GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "25GigEthernet")
        self.interfaceSpeed = 25000 # speed in Mb/sec
        self.tcp_threads = [2, 4, 8, 16, 32, 64] # for higher throughput
        self.messageSize = "1m" # 1 MB
        self.enforceSpeed = True

class Ethernet40GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "40GigEthernet")
        self.interfaceSpeed = 40000 # speed in Mb/sec
        self.messageSize = "4m"  # 4 MB
        self.enforceSpeed = True
        self.bandwidthTarget = 0.5 # 50% - override default.

class Ethernet50GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "50GigEthernet")
        self.interfaceSpeed = 50000 # speed in Mb/sec
        self.messageSize = "4m" # 4 MB
        self.enforceSpeed = True
        self.bandwidthTarget = 0.75 # 75% - override default

class Ethernet100GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "100GigEthernet")
        self.interfaceSpeed = 100000 # speed in Mb/sec
        self.messageSize = "4m" # 4 MB
        self.tcp_threads = [8, 16, 32, 64, 128, 256] # for higher throughput
        self.enforceSpeed = True
        self.bandwidthTarget = 0.75 # 75% - override default

class Ethernet200GigTest(EthernetTest):

    def __init__(self):
        EthernetTest.__init__(self, "200GigEthernet")
        self.interfaceSpeed = 200000 # speed in Mb/sec
        self.messageSize = "4m" # 4 MB
        self.tcp_threads = [8, 16, 32, 64, 128, 256] # for higher throughput
        self.enforceSpeed = True
        self.bandwidthTarget = 0.75 # 75% - override default
